<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

class Admin_Portalmanage_Recommend_Delete
{
	// ページ情報
	var $pagename;
	var $title;

	// DB
	var $recommend;
	var $itemcd;
	var $data2;

	// 保持パラメータ
	var $fromaction;    // 転送元アクション
	var $sort;          // ソートキー
	var $pageID;        // ページ番号
	var $srcword;       // 検索
	var $srcdispnum;    // 表示件数

	// エラー処理
	var $errormsg;
	
	function execute()
	{
	    $itemcd = $this->itemcd;
	    $where = array();
	    
	    if (empty($itemcd)) {
	    				$this->errormsg = "削除するお勧め商品を選択してください。";
	        return "error";
	    }
	    
	     
	    
	    $where[0][0] = "itemcd = ".$this->itemcd;
	    $data = $this->recommend->getRecommendList(1, 0, $where, NULL, "startdate DESC");
        $this->cnt = array_pop($data);
        $this->data = $data[0];
	    
        $log =& LogFactory::getLog();
        $log->debug("Admin_Portalmanage_Recommend_Deleteが実行されました", "Admin_Portalmanage_Recommend_Delete#execute");
        return 'success';
	}
	/**
	 * リスト復帰用の検索条件保持URLパラメータ出力
	 *
	 * @return object
	 */
	function getExtraParam()
	{
		return  'fromaction='.$this->fromaction.
				'&sort='.$this->sort.
				'&pageID='.$this->pageID.
				'&srcword='.$this->srcword.
				'&srcdispnum='.$this->srcdispnum;
	}
	/**
	 * リスト復帰用URLパラメータ出力
	 *
	 * @return object
	 */
	function getReturnParam()
	{
    	if ( $this->fromaction == 'admin_portalmanage_recommend_list' ) {
			return  'action='.$this->fromaction.
					'&sort='.$this->sort.
					'&pageID='.$this->pageID.
					'&srcword='.$this->srcword.
					'&srcdispnum='.$this->srcdispnum;
		} else {
			return  'action='.$this->fromaction.
					'&cd='.$this->itemcd;
		}
	}
}
?>